Bug 136992 - [lang/python26] bug in Makefile
Summary: [lang/python26] bug in Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-22 13:40 UTC by Andrey Zonov
Modified: 2009-08-02 12:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Zonov 2009-07-22 13:40:03 UTC
For 7.1-RELEASE-p2 lang/python26 is broken if I try to build him with semaphores.
Without semaphores build is complete.

How-To-Repeat: # sysctl kern.osreldate
kern.osreldate: 701000
# cd /usr/ports/lang/python26
# make config

note this
[X] SEM              Use POSIX semaphores (experimental)
and OK

# make
"Makefile", line 69: Need an operator
make: fatal errors encountered -- cannot continue
Comment 1 Edwin Groothuis freebsd_committer 2009-07-22 13:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2009-07-23 04:32:51 UTC
I don't think you'll be able to build with POSIX semaphores.
But the error you get is due to an extra dot crept in 1.157.
--- python26.diff begins here ---
Index: lang/python26/Makefile
===================================================================
RCS file: /home/csup/ports/lang/python26/Makefile,v
retrieving revision 1.160
diff -u -p -r1.160 Makefile
--- lang/python26/Makefile	14 Jul 2009 09:29:02 -0000	1.160
+++ lang/python26/Makefile	23 Jul 2009 03:25:32 -0000
@@ -66,7 +66,6 @@ EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-
 SEM_MSG=	""
 .else
 IGNORE=		POSIX semaphore support only works in FreeBSD 7-STABLE and later
-.
 .endif # ${OSVERSION} >= 701106
 .else # !defined(WITH_SEM)
 SEM_MSG=	"@comment "
--- python26.diff begins here ---
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2009-07-27 16:20:27 UTC
Responsible Changed
From-To: python->freebsd-python

Canonicalize assignment.
Comment 4 Li-Wen Hsu freebsd_committer 2009-08-02 11:59:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2009-08-02 11:59:11 UTC
lwhsu       2009-08-02 10:58:58 UTC

  FreeBSD ports repository

  Modified files:
    lang/python26        Makefile 
  Log:
  - Fix build with WITH_SEM but ${OSVERSION} < 701106 (mark IGNORE correctly)
  
  PR:             ports/136992
  Submitted by:   Andrey Zonov <andrey.zonov AT gmail.com>
  
  Revision  Changes    Path
  1.161     +0 -1      ports/lang/python26/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"